## org.gnu.gtk
Class Combo

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Box
                          org.gnu.gtk.HBox
                              org.gnu.gtk.Combo

public class Combo
extends HBox

The Combo box displays a single item and provides a pull-down list of items that can be selected. The drop-down list is displayed when the user clicks on a small arrow button to the right of the entry field.

By default, the user can step through the items in the list by using the arrow keys, though this behavior can be turned off with the setUseArrows() method.

Normally the arrow keys are only active when the contents of the text entry field matches on of the items in the list. If the contents of the entry field do not match any of the items in the list items, then pressing the arrow keys does nothing. However, by calling the setUseArrowsAlways() method you can specify that the arrow keys be active always.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`Combo()` Deprecated. Construct a new Combo widget.
`Combo(Handle handle)` Deprecated. Construct a new Combo from a handle to a native resource.

Method Summary
`void` `disableActivate()` Deprecated. Stops the Combo widget from showing the popup list when the Entry emits the "activate" signal, i.e., when the return key is pressed.
`Entry` `getEntry()` Deprecated. Get the Entry field that is a part of this combo.
`protected static Handle` `getEntry(Handle cptr)` Deprecated.
`java.lang.String` `getText()` Deprecated. Retrieve the text from the combo.
`static Type` `getType()` Deprecated. Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_combo_disable_activate(Handle combo)` Deprecated.
`protected static int` `gtk_combo_get_type()` Deprecated.
`protected static Handle` `gtk_combo_new()` Deprecated.
`protected static void` `gtk_combo_set_case_sensitive(Handle combo, boolean val)` Deprecated.
`protected static void` `gtk_combo_set_item_string(Handle combo, Handle item, java.lang.String itemValue)` Deprecated.
`protected static void` `gtk_combo_set_popdown_strings(Handle combo, Handle glistHandle)` Deprecated.
`protected static void` `gtk_combo_set_use_arrows_always(Handle combo, boolean val)` Deprecated.
`protected static void` `gtk_combo_set_use_arrows(Handle combo, boolean val)` Deprecated.
`protected static void` `gtk_combo_set_value_in_list(Handle combo, boolean val, boolean okIfEmpty)` Deprecated.
`void` `setCaseSensitive(boolean val)` Deprecated. Specifies whether the text entered into the Entry field and the text in the line items are case sensitive.
`void` `setItemString(Item item, java.lang.String itemValue)` Deprecated. Sets the string to place in the Entry field when a particular item is selected.
`void` `setPopupdownStrings(java.lang.String[] values)` Deprecated. Convenience method to set all of the items in the popupdown list.
`void` `setUseArrorwsAlways(boolean val)` Deprecated. Specifies if the arrow keys will still work even if the current contents of the Entry field do not match any of the items in the list.
`void` `setUseArrows(boolean val)` Deprecated. Specifies if the arrow (cursor) keys can be used to step through the items in the list.
`void` `setValueInList(boolean val, boolean okifEmpty)` Deprecated. Specifies whether the value entered in the text entry field must match one of the values in the list.

Methods inherited from class org.gnu.gtk.HBox
`gtk_hbox_get_type, gtk_hbox_new`

Methods inherited from class org.gnu.gtk.Box
`getHomogeneous, getSpacing, gtk_box_get_homogeneous, gtk_box_get_spacing, gtk_box_get_type, gtk_box_pack_end_defaults, gtk_box_pack_end, gtk_box_pack_start_defaults, gtk_box_pack_start, gtk_box_query_child_packing, gtk_box_reorder_child, gtk_box_set_child_packing, gtk_box_set_homogeneous, gtk_box_set_spacing, packEnd, packEnd, packStart, packStart, reorderChild, setHomogeneous, setSpacing`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Combo

    public Combo()

  Deprecated.
  Construct a new Combo widget.

### Combo

    public Combo(Handle handle)

  Deprecated.
  Construct a new Combo from a handle to a native resource.

Method Detail

### setPopupdownStrings

    public void setPopupdownStrings(java.lang.String[] values)

  Deprecated.
  Convenience method to set all of the items in the popupdown list.

  Parameters:
    `values` - The array of values to put into the popupdown list.

### setValueInList

    public void setValueInList(boolean val,
                               boolean okifEmpty)

  Deprecated.
  Specifies whether the value entered in the text entry field must match one of the values in the list. If this is set then the user will not be able to perform any other action until a valid value has been entered.

  Parameters:
    `val` - true if the value entered must match one of the values in the list.
    `okifEmpty` - true if an empty value is considered valid.

### setUseArrows

    public void setUseArrows(boolean val)

  Deprecated.
  Specifies if the arrow (cursor) keys can be used to step through the items in the list. This is on by default.

  Parameters:
    `val` - true if the arrow keys can be used to step through the items in the list.

### setUseArrorwsAlways

    public void setUseArrorwsAlways(boolean val)

  Deprecated.
  Specifies if the arrow keys will still work even if the current contents of the Entry field do not match any of the items in the list.

  Parameters:
    `val` - true if the arrows should still work.

### setCaseSensitive

    public void setCaseSensitive(boolean val)

  Deprecated.
  Specifies whether the text entered into the Entry field and the text in the line items are case sensitive.

  This may be useful when you have called setValueInList() to limit the values entered but are not worried about case differences.

### setItemString

    public void setItemString(Item item,
                              java.lang.String itemValue)

  Deprecated.
  Sets the string to place in the Entry field when a particular item is selected. This is needed if the list item is not a simple label.

  Parameters:
    `item` - The item to add to the list.
    `itemValue` - The string value to display in the Entry if item is selected

### disableActivate

    public void disableActivate()

  Deprecated.
  Stops the Combo widget from showing the popup list when the Entry emits the "activate" signal, i.e., when the return key is pressed.

### getEntry

    public Entry getEntry()

  Deprecated.
  Get the Entry field that is a part of this combo.

### getText

    public java.lang.String getText()

  Deprecated.
  Retrieve the text from the combo.

### getType

    public static Type getType()

  Deprecated.
  Retrieve the runtime type used by the GLib library.

### getEntry

    protected static final Handle getEntry(Handle cptr)

  Deprecated.

### gtk_combo_get_type

    protected static final int gtk_combo_get_type()

  Deprecated.

### gtk_combo_new

    protected static final Handle gtk_combo_new()

  Deprecated.

### gtk_combo_set_value_in_list

    protected static final void gtk_combo_set_value_in_list(Handle combo,
                                                            boolean val,
                                                            boolean okIfEmpty)

  Deprecated.

### gtk_combo_set_use_arrows

    protected static final void gtk_combo_set_use_arrows(Handle combo,
                                                         boolean val)

  Deprecated.

### gtk_combo_set_use_arrows_always

    protected static final void gtk_combo_set_use_arrows_always(Handle combo,
                                                                boolean val)

  Deprecated.

### gtk_combo_set_case_sensitive

    protected static final void gtk_combo_set_case_sensitive(Handle combo,
                                                             boolean val)

  Deprecated.

### gtk_combo_set_item_string

    protected static final void gtk_combo_set_item_string(Handle combo,
                                                          Handle item,
                                                          java.lang.String itemValue)

  Deprecated.

### gtk_combo_set_popdown_strings

    protected static final void gtk_combo_set_popdown_strings(Handle combo,
                                                              Handle glistHandle)

  Deprecated.

### gtk_combo_disable_activate

    protected static final void gtk_combo_disable_activate(Handle combo)

  Deprecated.